import { EventEmitter, OnInit, Renderer2, TemplateRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AddEvent, CancelEvent, EditEvent, RemoveEvent, SaveEvent } from '@progress/kendo-angular-grid';
import { State } from '@progress/kendo-data-query';
import * as i0 from "@angular/core";
export declare class GridFormComponent implements OnInit {
    private renderer;
    showToolbar: boolean;
    noRecordsContent: string;
    showColumns: boolean;
    formGroup: FormGroup | any;
    templateRef1: TemplateRef<any> | null;
    templateRef2: TemplateRef<any> | null;
    gridData: any[];
    columnData: any[];
    controls: any;
    counter: number;
    addOrUpdateRow: EventEmitter<any>;
    deletedRow: EventEmitter<any>;
    private editedRowIndex;
    removeRow: EventEmitter<any>;
    saveRow: EventEmitter<any>;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    onStateChange(state: State): void;
    addHandler(args: AddEvent): void;
    editHandler(args: EditEvent): void;
    cancelHandler(args: CancelEvent): void;
    saveHandler({ sender, rowIndex, formGroup, isNew }: SaveEvent): void;
    removeHandler(args: RemoveEvent): void;
    private closeEditor;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridFormComponent, "lib-grid-form", never, { "showToolbar": { "alias": "showToolbar"; "required": false; }; "noRecordsContent": { "alias": "noRecordsContent"; "required": false; }; "gridData": { "alias": "gridData"; "required": false; }; "columnData": { "alias": "columnData"; "required": false; }; "controls": { "alias": "controls"; "required": false; }; }, { "addOrUpdateRow": "addOrUpdateRow"; "deletedRow": "deletedRow"; "removeRow": "removeRow"; "saveRow": "saveRow"; }, ["templateRef1", "templateRef2"], ["header", "div.header-add-btn"], false, never>;
}
